#ifndef __EWAGLRENDERERCONFIGURATION_H_
#define __EWAGLRENDERERCONFIGURATION_H_

#include <qlineedit.h>
#include <qcheckbox.h>
#include <qwidget.h>
#include <qslider.h>
#include <qbuttongroup.h>
#include "../../../Core/Interfaces/src/RendererConfigurationInterface.h"
#include "../UI/EWAGLRendererConfigurationWidget.h"

class EWAGLRendererConfiguration : public RendererConfigurationInterface {
	Q_OBJECT

public:

	EWAGLRendererConfiguration();
	virtual ~EWAGLRendererConfiguration() {}


	void setCutOffRadius (const float newCutoffRadius);
	float getCutOffRadius() const;

    void setGaussDecayRadius (const float newGaussRadius);
	float getGaussDecayRadius() const;

	// ****************************************
	// interface RendererConfigurationInterface
	// ****************************************
	QWidget *createConfigurationWidget (QWidget *parent);
	void apply();


signals:
	void cutOffRadiusChanged (const float newCutOffRadius);
    void gaussDecayRadiusChanged (const float newGaussRadius);

private:
	float   cutOffRadius,
            gaussRadius;
	EWAGLRendererConfigurationWidget *configurationWidget;
};

#endif
